[kde-freebsd] [PATCH] make kdebase4 compile on -CURRENT

Matt datahead4 at gmail.com
Mon Mar 2 15:59:30 CET 2009

On Mon, Mar 2, 2009 at 12:46 AM, Mel Flynn <mel at rachie.is-a-geek.net> wrote:
>>Submitter-Id:  current-users
>>Originator:    Mel Flynn
>>Confidential:  no
>>Synopsis:      [PATCH] make kdebase4 compile on -CURRENT
>>Severity:      serious
>>Priority:      medium
>>Category:      ports
>>Class:         sw-bug
>>Release:       FreeBSD 8.0-CURRENT i386
> System: FreeBSD smoochies.wlan.rachie.is-a-geek.net 8.0-CURRENT FreeBSD 8.0-CURRENT #1: Sat Feb 28 17:05:35 AKST 2009 mel at smoochies.wlan.rachie.is-a-geek.net:/usr/obj/usr/src/sys/SMOOCHIES i386
> kdebase4 fails to compile with new usb stack.
> Have -CURRENT after libusb20 commit and make -C /usr/ports/x11/kdebase4 build
> This uses the legacy headers, proper fix should be upstream.
> NOTE: Since /usr/src/UPDATING doesn't mention the FreeBSD_version that marks
> usb2 import, I took a guess.

Recent posting on -ports indicates that the version number associated
with usb2 import is 80064



More information about the kde-freebsd mailing list